import { PublicConfigClass } from '@/packages/public'
import { CreateComponentType } from '@/packages/index.d'
import { MapPlotConfig } from './index'
import cloneDeep from 'lodash/cloneDeep'
import dataJson from './data.json'

export const option = {
  dataset: { ...dataJson },
}

export default class Config extends PublicConfigClass implements CreateComponentType {
  public key = MapPlotConfig.key
  public chartConfig = cloneDeep(MapPlotConfig)
  public option = cloneDeep(option)
  constructor() {
    super(); 
    this.attr.w = 380; 
    this.attr.h = 454;
  }
}
